< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package voa
  Definition Classes
    gov
-  package play
  Definition Classes
    voa
-  package form
  Definition Classes
    play
- ConditionalMapping
- ConditionalMappings
- MandatoryOptionalMapping
- conditionOpts

c

uk.gov.voa.play.form

# MandatoryOptionalMapping 

###

#### case class MandatoryOptionalMapping[T](wrapped: Mapping[T], constraints: Seq[Constraint[Option[T]]] = Nil) extends Mapping[Option[T]] with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Mapping[Option[T]], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MandatoryOptionalMapping
2. Serializable
3. Serializable
4. Product
5. Equals
6. Mapping
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new MandatoryOptionalMapping(wrapped: Mapping[T], constraints: Seq[Constraint[Option[T]]] = Nil)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def addPrefix(prefix: String): Option[String]
   Attributes
     protected
   Definition Classes
     Mapping
5.  def applyConstraints(t: Option[T]): Either[Seq[FormError], Option[T]]
   Attributes
     protected
   Definition Classes
     Mapping
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def bind(data: Map[String, String]): Either[Seq[FormError], Option[T]]
   Definition Classes
     MandatoryOptionalMapping → Mapping
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
9.  def collectErrors(t: Option[T]): Seq[FormError]
   Attributes
     protected
   Definition Classes
     Mapping
10.  val constraints: Seq[Constraint[Option[T]]]
    Definition Classes
      MandatoryOptionalMapping → Mapping
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  val format: Option[(String, Seq[Any])]
    Definition Classes
      MandatoryOptionalMapping → Mapping
14.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  val key: String
    Definition Classes
      MandatoryOptionalMapping → Mapping
17.  val mappings: Seq[Mapping[_]]
    Definition Classes
      MandatoryOptionalMapping → Mapping
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def transform[B](f1: (Option[T]) ⇒ B, f2: (B) ⇒ Option[T]): Mapping[B]
    Definition Classes
      Mapping
23.  def unbind(value: Option[T]): Map[String, String]
    Definition Classes
      MandatoryOptionalMapping → Mapping
24.  def unbindAndValidate(value: Option[T]): (Map[String, String], Seq[FormError])
    Definition Classes
      MandatoryOptionalMapping → Mapping
25.  def verifying(addConstraints: Constraint[Option[T]]*): Mapping[Option[T]]
    Definition Classes
      MandatoryOptionalMapping → Mapping
26.  def verifying(error: ⇒ String, constraint: (Option[T]) ⇒ Boolean): Mapping[Option[T]]
    Definition Classes
      Mapping
27.  def verifying(constraint: (Option[T]) ⇒ Boolean): Mapping[Option[T]]
    Definition Classes
      Mapping
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
31.  def withPrefix(prefix: String): Mapping[Option[T]]
    Definition Classes
      MandatoryOptionalMapping → Mapping
32.  val wrapped: Mapping[T]

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Mapping[Option[T]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped